<?xml version="1.0" encoding="utf-8"?>

<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:skin="http://schemas.android.com/android/skin"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:scrollbarSize="@dimen/size_zero"
    android:scrollbars="none">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_tab_bar"
            android:background="@color/colorPrimary"
            skin:enable="true">

            <TextView
                android:id="@+id/tv_post_title"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:text="失物启事"
                android:textColor="@color/white"
                android:textSize="@dimen/text_sub_title" />

            <android.support.v7.widget.AppCompatImageView
                android:id="@+id/aciv_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/margin_s"
                android:padding="@dimen/margin_s"
                android:src="@drawable/ic_back"
                android:tint="@color/white" />

            <TextView
                android:id="@+id/tv_publish"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:gravity="center"
                android:paddingLeft="@dimen/margin_default"
                android:paddingRight="@dimen/margin_default"
                android:text="发布"
                android:textColor="@color/white"
                android:textSize="@dimen/text_normal" />
        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_divider_micro"
            android:background="@color/gray_divider_light" />

        <LinearLayout
            android:id="@+id/ll_post"
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_tab_bar"
            android:background="@drawable/selector_white_pressed"
            android:gravity="center_vertical"
            android:minHeight="@dimen/height_tab_bar"
            android:orientation="horizontal"
            android:paddingBottom="@dimen/margin_s"
            android:paddingLeft="@dimen/margin_default"
            android:paddingRight="@dimen/margin_default"
            android:paddingTop="@dimen/margin_s">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="城市选择"
                android:textColor="@color/gray_text"
                android:textSize="@dimen/text_normal_p" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" ＊"
                android:textColor="@color/red"
                android:textSize="@dimen/text_normal_p" />

            <Space
                android:layout_width="@dimen/size_zero"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/tv_city_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/margin_s"
                android:ellipsize="end"
                android:singleLine="true"
                android:textColor="@color/gray_text"
                android:textSize="@dimen/text_normal" />

            <android.support.v7.widget.AppCompatImageView
                android:layout_width="@dimen/size_image_ss"
                android:layout_height="@dimen/size_image_ss"
                android:src="@drawable/ic_forward"
                android:tint="@color/gray_divider"
                android:visibility="gone"/>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_divider_micro"
            android:layout_marginLeft="@dimen/margin_default"
            android:layout_marginRight="@dimen/margin_default"
            android:background="@color/gray_divider_light" />

        <!--联系方式-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_tab_bar"
            android:background="@drawable/selector_white_pressed"
            android:gravity="center_vertical"
            android:minHeight="@dimen/height_tab_bar"
            android:orientation="horizontal"
            android:paddingBottom="@dimen/margin_s"
            android:paddingLeft="@dimen/margin_default"
            android:paddingRight="@dimen/margin_default"
            android:paddingTop="@dimen/margin_s">

            <EditText
                android:id="@+id/et_phone"
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_tab_bar"
                android:background="@color/transparent"
                android:gravity="center_vertical"
                android:hint="联系方式"
                android:maxLength="30"
                android:singleLine="true"
                android:textColor="@color/gray_text"
                android:textColorHint="@color/gray_text_hint"
                android:textCursorDrawable="@null"
                android:textSize="@dimen/text_normal_p" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_divider_micro"
            android:layout_marginLeft="@dimen/margin_default"
            android:layout_marginRight="@dimen/margin_default"
            android:background="@color/gray_divider_light" />

        <!--悬赏金额-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:id="@+id/ll_money"
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_tab_bar"
                android:background="@drawable/selector_white_pressed"
                android:gravity="center_vertical"
                android:minHeight="@dimen/height_tab_bar"
                android:orientation="horizontal"
                android:paddingBottom="@dimen/margin_s"
                android:paddingLeft="@dimen/margin_default"
                android:paddingRight="@dimen/margin_default"
                android:paddingTop="@dimen/margin_s">

                <EditText
                    android:id="@+id/et_money"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/height_tab_bar"
                    android:background="@color/transparent"
                    android:digits="0123456789"
                    android:gravity="center_vertical"
                    android:hint="悬赏金额"
                    android:inputType="number"
                    android:maxLength="5"
                    android:singleLine="true"
                    android:textColor="@color/gray_text"
                    android:textColorHint="@color/gray_text_hint"
                    android:textCursorDrawable="@null"
                    android:textSize="@dimen/text_normal_p" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_divider_micro"
                android:layout_marginLeft="@dimen/margin_default"
                android:layout_marginRight="@dimen/margin_default"
                android:background="@color/gray_divider_light" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_lost_type"
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_tab_bar"
            android:layout_marginTop="@dimen/margin_default"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/margin_default"
            android:paddingRight="@dimen/margin_default">

            <!--<TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="失物类型"
                android:textColor="@color/gray_text"
                android:textSize="@dimen/text_normal_p" />-->

            <RadioGroup
                android:id="@+id/rg_lost_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rb_man"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="寻人" />

                <Space
                    android:layout_width="@dimen/size_zero"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <RadioButton
                    android:id="@+id/rb_goods"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="寻物" />

                <Space
                    android:layout_width="@dimen/size_zero"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <RadioButton
                    android:id="@+id/rb_pets"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="@dimen/margin_ss"
                    android:text="寻宠" />

                <Space
                    android:layout_width="@dimen/size_zero"
                    android:layout_height="wrap_content"
                    android:layout_weight="4" />
            </RadioGroup>
        </LinearLayout>


        <!--具体描述-->
        <EditText
            android:id="@+id/et_desc"
            android:layout_width="match_parent"
            android:layout_height="@dimen/height_cover"
            android:background="@drawable/shape_radius_gray_stroke"
            android:layout_marginLeft="@dimen/margin_default"
            android:layout_marginRight="@dimen/margin_default"
            android:layout_marginTop="@dimen/margin_default"
            android:gravity="left|top"
            android:hint="简要描述丢失时间，地点和特征"
            android:maxLength="250"
            android:padding="@dimen/margin_s"
            android:textColor="@color/gray_text"
            android:textColorHint="@color/gray_text_hint"
            android:textCursorDrawable="@null"
            android:textSize="@dimen/text_normal_p" />


        <android.support.v7.widget.AppCompatImageView
            android:id="@+id/aciv_related_photo"
            android:layout_width="@dimen/size_image_huge"
            android:layout_height="@dimen/size_image_huge"
            android:layout_marginLeft="@dimen/margin_default"
            android:layout_marginTop="@dimen/margin_default"
            android:scaleType="centerCrop"
            android:src="@mipmap/add_photo" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/text_s"
            android:textColor="@color/gray_text_hint"
            android:text="温馨提示：\n1. 联系方式可以填写你的电话号码，邮箱等；\n2. 悬赏金额可以不填；\n3. 相关照片可以不传，如果需要上传，请上传2MB以内的图片。个人服务器，不堪重负，望谅解。"
            android:layout_marginLeft="@dimen/margin_default"
            android:layout_marginTop="@dimen/margin_s"
            android:layout_marginBottom="@dimen/margin_default"/>
    </LinearLayout>
</ScrollView>
